curl vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the curl package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • M
Information Exposure
* Not available 31 Mar, 2021
  • H
Improper Certificate Validation
<7.52.1-5+deb9u13 Not available 09 Dec, 2020
  • L
Information Exposure
<7.52.1-5+deb9u13 Not available 09 Dec, 2020
  • H
Out-of-bounds Write
<7.52.1-5+deb9u13 Not available 09 Dec, 2020
  • H
Use After Free
<7.52.1-5+deb9u12 Not available 22 Aug, 2020
  • H
Arbitrary Code Injection
<7.52.1-5+deb9u11 Not available 24 Jun, 2020
  • H
Buffer Overflow
<7.52.1-5+deb9u10 Not available 11 Sep, 2019
  • H
Double Free
<7.52.1-5+deb9u10 Not available 11 Sep, 2019
  • H
Out-of-bounds Write
<7.52.1-5+deb9u10 Not available 23 May, 2019
  • H
Out-of-bounds Read
<7.52.1-5+deb9u9 Not available 06 Feb, 2019
  • H
Out-of-bounds Write
<7.52.1-5+deb9u9 Not available 06 Feb, 2019
  • H
Out-of-bounds Read
<7.52.1-5+deb9u9 Not available 06 Feb, 2019
  • H
Out-of-Bounds
<7.52.1-5+deb9u8 Not available 02 Dec, 2018
  • H
Out-of-bounds Read
<7.52.1-5+deb9u8 Not available 02 Dec, 2018
  • H
Integer Overflow or Wraparound
<7.52.1-5+deb9u7 Not available 25 Sep, 2018
  • H
Credentials Management
<7.10.7-1 Not available 25 Sep, 2018
  • H
Improper Input Validation
<7.51.0-1 Not available 27 Jun, 2018
  • H
Out-of-bounds Write
<7.51.0-1 Not available 27 Jun, 2018
  • H
Double Free
<7.51.0-1 Not available 27 Jun, 2018
  • H
Out-of-bounds Write
<7.51.0-1 Not available 27 Jun, 2018
  • H
Use After Free
<7.51.0-1 Not available 27 Jun, 2018
  • H
Out-of-bounds Read
<7.51.0-1 Not available 27 Jun, 2018
  • H
Out-of-bounds Read
<7.51.0-1 Not available 27 Jun, 2018
  • H
Improper Certificate Validation
<7.52.1-5 Not available 27 Jun, 2018
  • H
Security Features
<7.51.0-1 Not available 27 Jun, 2018
  • H
Improper Input Validation
<7.51.0-1 Not available 27 Jun, 2018
  • H
Double Free
<7.51.0-1 Not available 27 Jun, 2018
  • M
Credentials Management
<7.51.0-1 Not available 27 Jun, 2018
  • M
Improper Certificate Validation
<7.52.1-3 Not available 27 Jun, 2018
  • H
Out-of-bounds Read
<7.52.1-5+deb9u6 Not available 24 May, 2018